{ config, pkgs, ... }:
{
  imports = [
    ./hardware-configuration.nix
    ./disk-config.nix
    ./optimized_build.nix
  ];

  # Generate with `head -c4 /dev/urandom | od -A none -t x4`
  networking.hostId = "fbd233d8";

  networking.hostName = "hydra"; # Define your hostname.

  time.timeZone = "America/New_York";
  i18n.defaultLocale = "en_US.UTF-8";

  me.secureBoot.enable = false;

  # Mount tmpfs at /tmp
  boot.tmp.useTmpfs = true;

  me.emacs_flavor = "plainmacs";
  me.graphical = false;
  me.zsh.enable = true;
  me.wireguard.activated = [ ];
  me.wireguard.deactivated = [ ];

  # Trust this key so nix running as root can ssh into hydra.
  users.users.talexander.openssh.authorizedKeys.keys = [
    "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIB/IlYTQ0M5pFN5tdoswh37CDl/gbULI3h+SsKXCansh talexander@odo"
  ];
}
